Bug 856114 - (qxmpp) Review Request: qxmpp - Qt XMPP Libraries
Review Request: qxmpp - Qt XMPP Libraries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-09-11 04:45 EDT by Minh Ngo
Modified: 2013-02-16 04:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:35:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minh Ngo 2012-09-11 04:45:50 EDT
Hi,
I want to rename qxmpp-dev package to qxmpp because of source code base merging between two projects (qxmpp and its fork, qxmpp-dev).

Spec URL: https://raw.github.com/Ignotus/qxmpp/fe5e40375c3ce710f47f2970503ab5f0b36476c5/qxmpp.spec
SRPM URL: https://github.com/Ignotus/qxmpp/blob/fe5e40375c3ce710f47f2970503ab5f0b36476c5/qxmpp-0.7.3-1.fc17.src.rpm?raw=true
Description: <description here>
Fedora Account System Username: ignotusp
Comment 1 Rex Dieter 2012-09-23 09:16:29 EDT
I can review this later today
Comment 2 Rex Dieter 2012-09-25 14:33:21 EDT
naming: NOT ok, since this package is to replace qxmpp, per
http://fedoraproject.org/wiki/Packaging/Guidelines#Renaming.2FReplacing_Existing_Packages
1. Must add (something like)
Obsoletes: qxmpp-dev < 0.7.3
Provides:  qxmpp-dev = %{version}-%{release}
and to -devel subpkg,
Obsoletes: qxmpp-dev-devel < 0.7.3
Provides:  qxmpp-dev-devel = %{version}-%{release}

sources: ok
5badeba0db3d87e4d56ac8ac6da71fda  qxmpp-0.7.3.tar.gz

2. SHOULD drop not needed or used
Group:
tags

scriptlets: ok

macros: ok

3. SHOULD create/use upstreamable patch instead of this .spec hack:
%if "%{_lib}" == "lib64"
%__mv ${RPM_BUILD_ROOT}/usr/{lib,lib64}
%endif

4. MUST move these from -devel to main pkg:
%doc AUTHORS CHANGELOG LICENSE.LGPL README
Comment 4 Rex Dieter 2012-09-25 18:21:41 EDT
I'd recommend you keep the Obsoletes static
Obsoletes: qxmpp-dev-devel < 0.7.3
and not use %{version} here.

otherwise, APPROVED.

Once imported, built, you'll want to follow the package end of life procedure for qxmpp-dev,
http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 5 Kevin Kofler 2012-09-25 19:28:18 EDT
Please fill in the SCM request form in a comment when setting the fedora-cvs flag, otherwise the admins (or rather their scripts) will not be able to process your requests.
Comment 6 Minh Ngo 2012-09-25 19:31:59 EDT
New Package SCM Request
=======================
Package Name: qxmpp
Short Description: Qt XMPP Library
Owners: ignotusp
Branches: f16 f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-26 05:53:38 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-27 15:53:45 EDT
qxmpp-0.7.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qxmpp-0.7.3-2.fc16
Comment 9 Fedora Update System 2012-09-27 15:56:19 EDT
qxmpp-0.7.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qxmpp-0.7.3-2.fc17
Comment 10 Fedora Update System 2012-09-27 15:57:10 EDT
qxmpp-0.7.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qxmpp-0.7.3-2.fc18
Comment 11 Fedora Update System 2012-09-28 04:17:48 EDT
Package qxmpp-0.7.3-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qxmpp-0.7.3-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14949/qxmpp-0.7.3-2.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-09-29 18:17:42 EDT
qxmpp-0.7.3-4.git95a225b.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qxmpp-0.7.3-4.git95a225b.fc16
Comment 13 Fedora Update System 2012-11-09 22:16:38 EST
qxmpp-0.7.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qxmpp-0.7.4-1.fc18
Comment 14 Fedora Update System 2012-11-29 01:35:19 EST
qxmpp-0.7.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-02-14 03:20:09 EST
qxmpp-0.7.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qxmpp-0.7.5-1.fc17
Comment 16 ILMostro 2013-02-15 17:24:39 EST
dependency problems when installing leechcraft-full.0.5.80-1.fc18.x86_64:
>
>
Running transaction check
---> Package leechcraft-azoth.x86_64 0:0.5.80-1.fc18 will be installed
--> Processing Dependency: libqxmpp-dev.so.0()(64bit) for package: leechcraft-azoth-0.5.80-1.fc18.x86_64
Package qxmpp-dev-0.6.3.1-1.fc18.x86_64 is obsoleted by qxmpp-0.7.4-1.fc18.x86_64 which is already installed
---> Package qscintilla.x86_64 0:2.6.2-3.fc18 will be installed
---> Package rb_libtorrent.x86_64 0:0.16.4-1.fc18 will be installed
--> Processing Dependency: libGeoIP.so.1()(64bit) for package: rb_libtorrent-0.16.4-1.fc18.x86_64
--> Running transaction check
---> Package GeoIP.x86_64 0:1.4.8-4.fc18 will be installed
---> Package leechcraft-azoth.x86_64 0:0.5.80-1.fc18 will be installed
--> Processing Dependency: libqxmpp-dev.so.0()(64bit) for package: leechcraft-azoth-0.5.80-1.fc18.x86_64
Package qxmpp-dev-0.6.3.1-1.fc18.x86_64 is obsoleted by qxmpp-0.7.4-1.fc18.x86_64 which is already installed
--> Finished Dependency Resolution
Error: Package: leechcraft-azoth-0.5.80-1.fc18.x86_64 (fedora)
           Requires: libqxmpp-dev.so.0()(64bit)
           Available: qxmpp-dev-0.6.3.1-1.fc18.x86_64 (fedora)
               libqxmpp-dev.so.0()(64bit)
Comment 17 Minh Ngo 2013-02-16 04:27:24 EST
Are you from the leechcraft@conference.jabber.ru ?

Note You need to log in before you can comment on or make changes to this bug.